Subject: RE: [External] : bug#10458: 24.0.92; ! in dired on a file starting with a hyphen

From: Drew Adams <[email-masked]>
Date: Mon, 28 Mar 2022 03:02:44 +0000

> > But adding ./ to file names that start with - should be safe, I
> > think?  So I've now done that in Emacs 29.
> 
> The problem with that is that it's hackish and ad-hoc.  It will
> sometimes do the right thing, but other times it' not what's expected
> and users will find it odd.

FWIW, I think the cure is worse than the problem.

And as Michael indicated, a similar problem was
reported in bug #2536.

No simple solution has been found.  The simplistic
one you've (apparently) adopted is, I think, a bad
idea.  Better to just document this (and similarly
for bug #2536) as a limitation of `!' (and `&' and
`M-!').

That at least gives straightforward, if limited,
behavior - easy to understand (but needs to be
documented).  Users can find other ways (e.g.
outside Dired) to take care of such (relatively
corner) cases.

That's unfortunate, but not as unfortunate as the
change you've (apparently) made.

Just one opinion.  Document the limitations, and
leave these two bugs open, hoping that Someone(TM)
at some point will dream up a real, comprehensive
solution.